REM Possible values for CWVERSION are 3.X,4.X, 4.1.X, 4.2.. 
set CWVERSION="4.2"
set ORBCLASSPATH=com.inprise.vbroker.orb.ORB

REM while using 3.x version of Crossworlds, set CWVERSION to 3.X
REM set CWVERSION="3.X"
if %CWVERSION%=="3.X" set ORBCLASSPATH=com.visigenic.vbroker.orb.ORB

REM Define local batch PATH to insure we execute our jre
set PATH="%CROSSWORLDS%"\bin;%PATH%

set RT="%CROSSWORLDS%"\lib\rt.jar
set CWCLASSES="%CROSSWORLDS%"\lib\crossworlds.jar
if %CWVERSION%=="4.X" set MQ="%CROSSWORLDS%"\lib\mq.jar;"%CROSSWORLDS%"\MA88\Java\lib\properties.jar
if %CWVERSION%=="4.X" set MQ_LIB="%CROSSWORLDS%"\MA88\Java\lib

if %CWVERSION%=="4.1.X" set MQ="%CROSSWORLDS%"\lib\mq.jar;"%CROSSWORLDS%"\MA88\Java\lib\properties.jar
if %CWVERSION%=="4.1.X" set MQ_LIB="%CROSSWORLDS%"\MA88\Java\lib

if %CWVERSION%=="3.X" set MQ="%CROSSWORLDS%"\lib\mq.jar

set ORB1="%CROSSWORLDS%"\lib\vbjorb.jar
set ORB2="%CROSSWORLDS%"\lib\vbjapp.jarc
set  DATAHANDLER=%CROSSWORLDS%\DataHandlers\CwDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CustDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CwXMLDataHandler.jar;"%CROSSWORLDS%"\DataHandlers\CwEDIDataHandler.jar

REM Set ODK dependencies
set ODK_LIB="%CROSSWORLDS%"\lib\CwODK.jar
set XML_LIB="%CROSSWORLDS%"\lib\xerces.jar
set ORION_LIB="%CROSSWORLDS%"\lib\cworion.jar

set SSLJ="%CROSSWORLDS%"\lib\sslj.jar
set CERTJ="%CROSSWORLDS%"\lib\certj.jar
set JSAFE="%CROSSWORLDS%"\lib\jsafe.jar
set JAVA_SECURITY="%CROSSWORLDS%"\lib\ibmjcefw.jar;"%CROSSWORLDS%"\lib\ibmjceprovider.jar;"%CROSSWORLDS%"\lib\local_policy.jar;"%CROSSWORLDS%"\lib\US_export_policy.jar


REM By default, use the  WBIA.jar under lib. This is the jar built with the most
REM recent WBIA adapter framework.
set WBIA="%CROSSWORLDS%"\lib\WBIA.jar
if %CWVERSION%=="4.X" set WBIA="%CROSSWORLDS%"\lib\WBIA\4.0.0\WBIA.jar
if %CWVERSION%=="4.1.X" set WBIA="%CROSSWORLDS%"\lib\WBIA\4.1.1\WBIA.jar
if %CWVERSION%=="3.X" set WBIA="%CROSSWORLDS%"\lib\WBIA\3.0.0\WBIA.jar


set JCLASSES=.;%RT%;%CWCLASSES%;%MQ%;"%MQ_LIB%";"%CROSSWORLDS%"\connectors;%ORB1%;%ORB2%;%SSLJ%;%CERTJ%;%JSAFE%;%DATAHANDLER%;%WBIA%;%JAVA_SECURITY%;%ODK_LIB%;%XML_LIB%;%ORION_LIB%
